Subject: RE: [mobile-ip] Question on HMIPv6 Dynamic MAP Discovery

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Tue, 4 Sep 2001 16:03:59 +0200

> > 
> > Mattias Pettersson <[email-masked]> writes:
> > > > Is there an implementation allowing to
> > > > configure a router to behave that way?
> > >
> > > KAME's rtadvd transmits RAs, but also monitors what other routers are
> > > sending.
> > 
> > Indeed, I guess routers should monitor what other routers are sending
> > on the same link in order to ensure they advertise same things.  But I
> > don't know if routers should re-transmit on other links what they
> > receive via RA's on one link.  I don't know, I'm wondering.
> 
> Fundamental question, indeed. I see it as a larger-than-link-scoped RA.
> This would be the same as with router renumbering, wouldn't it?
> 
	=> Yes I think it is a very similar concept. In addition, the draft says that
	the advertisement SHOULD be secured to guarantee that no malicious
	nodes will provide false information. 
	The router renumbering mechanism can also be used as per the draft. 

	BTW, since we're discussing the MAP discovery, I'd like to point out 
	that the 8n alignment in the draft is not correct (for the MAP option)
	we will fix that in the next revision, but I'd rather wait for more substantial 
	issues before we submit the next revision. 

	Hesham

---

From: Michael Thomas <[email-masked]>
Date: Tue, 4 Sep 2001 08:38:03 -0700 (PDT)

> 	The router renumbering mechanism can also be used as per the draft. 

     How do you do that?

	    Mike

---

From: Alexandru Petrescu <[email-masked]>
Date: 06 Sep 2001 00:43:27 +0200

> 	The router renumbering mechanism can also be used as per the

Yes, draft specifies a router renumbering technique.  I think I have a
remark to that too, sorry for being to verbose.

In my opinnion, if the PROPAGATE OpCode is exclusive with existing
codes (you can only have one of ADD, CHANGE, SET-GLOBAL, PROPAGATE)
and the MAP-Option is not in the match-prefix then the draft should
probably specify new means to delete MAP-options from an advertising
interface.(RR means to do that is to put 0 in use-prefix of a CHANGE).

> 	BTW, since we're discussing the MAP discovery, I'd like to
> 	point out that the 8n alignment in the draft is not correct
> 	(for the MAP option) we will fix that in the next revision,
> 	but I'd rather wait for more substantial issues before we
> 	submit the next revision.

Also, there's a type error in the RR rfc no.

Alex